#-----------------------------------------------------------------------------
%{?!dist:	%define	dist		.ok}
%global		_default_patch_fuzz	2 
#-----------------------------------------------------------------------------
Name		:	gptfdisk
Version		:	1.0.9
Release		:	14.8.0.0%{?dist}
Summary		:	An fdisk-like partitioning tool for GPT disks
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://downloads.sourceforge.net/gptfdisk

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-convenience-1.patch

#-----------------------------------------------------------------------------
%description
An fdisk-like partitioning tool for GPT disks. GPT fdisk features a
command-line interface, fairly direct manipulation of partition table
structures, recovery tools to help you deal with corrupt partition
tables, and the ability to convert MBR disks to GPT format.

#-----------------------------------------------------------------------------
%prep
%setup -q
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
  -e "s|ncursesw/||"					\
  gptcurses.cc
sed -i							\
  -e 's|sbin|usr/sbin|'					\
  Makefile


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	POPT=1						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc COPYING NEWS README
%{_sbindir}/cgdisk
%{_sbindir}/fixparts
%{_sbindir}/gdisk
%{_sbindir}/sgdisk
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
